{% extends 'base.html' %}

{% block content %}

        <div class="row">

            <!-- Blog Entries Column -->
            <div class="col-md-9">

                <h1 class="page-header">
                    <a href="{% url 'home' %}">Test Blog!</a>
                    <small class="text-success"> {{ total }} articles and counting .....</small>
                </h1>

                <!-- Custom Page Content -->

                {% block article %} {% endblock article %}

            </div>

            <!-- Blog Sidebar Widgets Column -->

            <div class="col-md-3">

                <!-- Blog Search Panel -->

                <ul class="list-group">
                    <li class="list-group-item text-info"><b>Blog Search</b></li>
                    <li class="list-group-item">

                    <form action="{% url 'search_result' 1 %}" method="POST" class="navbar-form navbar-center form-inline" id="search" role="search"> {% csrf_token %}

                        <div class="form-group-group">
                            <div class="input-group input-group-lg">
                            <input type="text" name="search" id="search" class="form-control" placeholder='Search'>
                                <span class="input-group-btn">
                                    <button class="btn btn-default" type="submit">
                                        <span class="glyphicon glyphicon-search"></span>
                                    </button>
                                </span>
                            </div><!-- /.input-group -->
                        </div>

                    </form>

                    </li>

                </ul>
                <ul id="search-results"></ul>

                <!-- Blog Categories -->

                <ul class="list-group">

                    <li class="list-group-item text-muted"><b>Articles Category</b></li>
                    {% for key,value in tag.items %}
                        <li class="list-group-item text-right"><span class="pull-left"><strong><a href="{% url 'tag' key %}"> {{ key }} </a></strong></span> {{ value }}</li>
                    {% endfor %}
                      
                </ul>

            </div>

        </div>
        <!-- /.row -->

{% endblock content %}